Ubuntu

No module named convolve

Reported by Endolith on 2009-07-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
SciPy
Won't Fix
Unknown
python-scipy (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: python-scipy

There appears to be nothing in the scipy.stsci subpackage:

    Python 2.6.2 (release26-maint, Apr 19 2009, 01:56:41)
    Type "copyright", "credits" or "license" for more information.

    IPython 0.9.1 -- An enhanced Interactive Python.
    ? -> Introduction and overview of IPython's features.
    %quickref -> Quick reference.
    help -> Python's own help system.
    object? -> Details about 'object'. ?object also works, ?? prints more.

    In [1]: import scipy

    In [2]: scipy.__version__
    Out[2]: '0.7.0'

    In [3]: from scipy.stsci.convolve import convolve2d, correlate2d
    ---------------------------------------------------------------------------
    ImportError Traceback (most recent call last)

    /home/endolith/<ipython console> in <module>()

    ImportError: No module named convolve

Endolith (endolith) wrote :

Works fine on my Windows machine:

    Python 2.6.1 (r261:67517, Dec 4 2008, 16:51:00) [MSC v.1500 32 bit (Intel)]
    Type "copyright", "credits" or "license" for more information.

    IPython 0.9.1 -- An enhanced Interactive Python.
    ? -> Introduction and overview of IPython's features.
    %quickref -> Quick reference.
    help -> Python's own help system.
    object? -> Details about 'object'. ?object also works, ?? prints more.

    In [1]: import scipy

    In [2]: scipy
    Out[2]: <module 'scipy' from 'C:\Python26\lib\site-packages\scipy\__init__.pyc'>

    In [3]: scipy.__version__
    Out[3]: '0.7.1rc3'

    In [4]: from scipy.stsci.convolve import correlate2d

    In [5]: correlate2d([1,2],[3,4])
    Out[5]: array([[ 7., 11.]])

Does not work on https://sagenb.kaist.ac.kr:8022/, which uses Ubuntu 9.04:

    sage: import scipy
    sage: scipy
    <module 'scipy' from '/opt/sage-4.0.2-linux-Ubuntu_9.04-i686-Linux/local/lib/python2.5/site-packages/scipy/__init__.py'>
    sage: scipy.__version__
    '0.7.0'
    sage: from scipy.stsci.convolve import correlate2d
    Traceback (most recent call last):
    ...
    ImportError: No module named convolve
    sage: from scipy.signal import correlate2d
    sage: correlate2d
    <function correlate2d at 0xafbe09c>

description: updated
Changed in scipy:
status: Unknown → New
Changed in scipy:
status: New → Won't Fix
Andrea Gamba (andrea-gamba) wrote :

Why "won't fix"? the package is missing.

Scott Howard (showard314) wrote :

This package is still listed as "New" in Ubuntu. The authors of scipy have labeled it as "won't fix". See the linked bug report:
http://projects.scipy.org/scipy/ticket/987

"Convolve has been removed from scipy. You can download it from STScI as part of STSCI_PTYHON from this location:

http://www.stsci.edu/resources/software_hardware/pyraf/stsci_python/current/download "

Discussion about the upstream status should take place here:
http://projects.scipy.org/scipy/ticket/987

Changed in python-scipy (Ubuntu):
status: New → Won't Fix
Endolith (endolith) wrote :

The convolve package was removed from SciPy for not being maintained. It's still available in stsci Python, though.

http://www.stsci.edu/resources/software_hardware/pyraf/stsci_python/current/download

The wontfix is for the upstream bug, so I'd suggest asking on the Scipy bug
tracker.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.